## bacula 5.2.5

=== debian/changelog ===
bacula (5.2.5-0ubuntu6.2) precise-proposed; urgency=low

  * Make the bacula package installable (LP: #1034962):
    - d/control: bacula-sd - Recommend bacula-sd-mysql | bacula-sd-tools to 
      ensure that a conflict is not generated during dependency resolution
      between the mysql and sqlite3 versions of bacula-sd.

 -- James Page <james.page@ubuntu.com>  Thu, 30 Aug 2012 16:22:27 +0100

bacula (5.2.5-0ubuntu6.1) precise-proposed; urgency=low

  * Ensure bacula database is upgraded from 12->14 as part of
    upgrade to 5.2.x (LP: #980189):
    - d/rules: Add dbconfig-common upgrade step for 5.2.5-0ubuntu6.1 for
      all database types.

 -- James Page <james.page@ubuntu.com>  Thu, 14 Jun 2012 15:52:27 +0100

bacula (5.2.5-0ubuntu6) precise; urgency=low

  * Fix templates for dpkg installation of 
    bacula-director-[mysql|pgsql] packages. (LP: #960761)

 -- Tobin Davis <gruemaster@gmail.com>  Fri, 23 Mar 2012 16:32:16 -0700

bacula (5.2.5-0ubuntu5) precise; urgency=low

  * Add libncurses-dev to build-depends, as the console client insists
    on its presence to enable readline support, despite not using it.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 07 Mar 2012 21:32:43 -0700

bacula (5.2.5-0ubuntu4) precise; urgency=low

  * Drop mysql-search-lib-x86_64-linux-gnu.patch in favour of a new
    mysql-use-mysql_config.patch that uses mysql_config to find our
    various search paths, and fix multiarch builds (LP: #949508)

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 07 Mar 2012 19:51:59 -0700

bacula (5.2.5-0ubuntu3) precise; urgency=low

  * fix db-common configuration of database name (LP: #830108)

  [ David Stenglein ]
  * improve make_catalog_backup_awk in sqlite3 to dump catalog only once
    rather than for each line in bacula-dir.conf (LP: #614320)

 -- Scott Moser <smoser@ubuntu.com>  Fri, 10 Feb 2012 10:04:35 -0500

bacula (5.2.5-0ubuntu2) precise; urgency=low

  * Enable LZO support (LP: #925315)

 -- David Weber <wb@munzinger.de>  Mon, 06 Feb 2012 09:33:25 +0100

bacula (5.2.5-0ubuntu1) precise; urgency=low

  * New upstream release.
    * fixes SONAME of libbaccats-{mysql,pgsql,sqlite3}-<version>.so to be
      libbaccats-<version> which made dh_shlibdeps fail in 5.2.3 after
      correct libraries were copied.
  * copy correct backend-specific libbaccats files to the appropriate
    package to not have only the dummy library (LP: #929523)
  * include /usr/lib/x86_64-linux-gnu in build-time --with-mysql search path
  * fix database creation data so it works with mysql 5.5

 -- Scott Moser <smoser@ubuntu.com>  Thu, 09 Feb 2012 16:05:44 -0500

bacula (5.2.3-0ubuntu3) precise; urgency=low

  * remove libbaccats* from bacula-common, which fixes 
    a depends-but-conflicts between bacula-common and 
    bacula-{mysql,pgsql,sqlite3} (LP: #897303)

 -- Scott Moser <smoser@ubuntu.com>  Wed, 08 Feb 2012 14:33:34 -0500

bacula (5.2.3-0ubuntu2) precise; urgency=low

  * Fix debian/rules mistakenly looking for 5.2.1.so version files. Now pulls
    the version from dpkg-parsechangelog to avoid future mistakes.

 -- Ben Collins <bcollins@ubuntu.com>  Thu, 19 Jan 2012 00:13:55 +0000

bacula (5.2.3-0ubuntu1) precise; urgency=low

  * New upstream release. (LP: #917471)
    + debian/patches/fix-libbaccats-path.patch: dropped as
      now unnecessary

 -- Scott Moser <smoser@ubuntu.com>  Tue, 17 Jan 2012 15:06:46 -0500

bacula (5.2.1-0ubuntu2) precise; urgency=low

  * Rebuild for libmysqlclient transition

 -- Clint Byrum <clint@ubuntu.com>  Wed, 23 Nov 2011 23:25:00 -0800

bacula (5.2.1-0ubuntu1) precise; urgency=low

  * New upstream release:
    + Switch to dpkg-source 3.0 (quilt) format.
    + Use quilt for patches.
    + Bump standards to 3.9.2.
    + Clean up debian/rules.
    + Split out patches applied directly into source into quilt patches.
    + Add po-debconf as a build dependency.
    + debian/patches/fix-libbaccats-path.patch: Fix symlink when installing
      libbacccats.

 -- Chuck Short <zulcss@ubuntu.com>  Sun, 06 Nov 2011 20:34:58 -0500

bacula (5.0.3-1ubuntu6) precise; urgency=low

  * Add needed gawk dependency (LP: #645082)
    - debian/control: add gawk to Depends for bacula-director-common.
    - debian/patches/ubuntu_bacula-dir.conf.patch: call
      make_catalog_backup_awk with gawk, as awk might refer to something
      other than gawk, but make_catalog_backup_awk is gawk-specific.
      (as pointed out by Fred Baumgarten)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Fri, 14 Oct 2011 12:00:42 -0500

bacula (5.0.3-1ubuntu5) oneiric; urgency=low

  * debian/control: Drop unused libqwt5-qt4-dev build-dep (bacula is currently
    built --without-qwt) to support qwt6 transition

 -- Scott Kitterman <scott@kitterman.com>  Fri, 26 Aug 2011 09:57:57 -0400

bacula (5.0.3-1ubuntu4) oneiric; urgency=low

  * debian/control: Build against PostgreSQL 9.1 (LP: #833684)
  * debian/control: Drop bacula-director-sqlite migration package, we have
    carried it long enough for upgrading. Drop libsqlite0-dev build
    dependency, so that the old sqlite can drop out of main at some point.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 25 Aug 2011 15:00:36 +0200

bacula (5.0.3-1ubuntu3) oneiric; urgency=low

  * debian/control: Build against PostgreSQL 9.0.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 09 Jun 2011 17:25:23 +0200

bacula (5.0.3-1ubuntu2) oneiric; urgency=low

  * Rebuild for OpenSSL 1.0.0.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 20 May 2011 10:10:13 +0100

bacula (5.0.3-1ubuntu1) oneiric; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - Daemons listen on all interfaces. (LP: #286643)
    - Start Daemons on installation.
    - Drop mt-st to suggests. So that bacula goes back to main. (LP: #286528)
    - debian/rules: Disable fortify source since it was causing bacula-director to 
      segfault.
    - debian/control: 
      + Cleaned up bacula-director-pgsql dependences and recommends.

