=== debian/control ===
Source: bacula
Section: admin
Priority: optional
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Bacula packaging Group <pkg-bacula-devel@lists.alioth.debian.org>
Uploaders: Jan Hauke Rahm <jhr@debian.org>
Build-Depends: autotools-dev, debhelper (>= 6.0.7~), po-debconf (>= 0.8.2), 
 zlib1g-dev, libreadline-dev, libncurses-dev,
 libsqlite3-dev, libmysqlclient-dev, libpq-dev (>= 8.4), 
 postgresql-server-dev-9.1,
 libwrap0-dev, python-dev, libgtk2.0-dev (>= 2.10),
 libgnome2-dev, libacl1-dev, libkrb5-dev, libgnomeui-dev,
 libx11-dev, mtx, bc, libxt-dev, dpkg-dev (>= 1.13.19), libqt4-dev, 
 libssl-dev, quilt, po-debconf, liblzo2-dev
Build-Conflicts: python2.2-dev, python2.3, python2.4, qt3-dev-tools
Standards-Version: 3.9.2
Vcs-Browser: http://git.debian.org/?p=users/jgoerzen/bacula
Vcs-Git: git://git.debian.org/git/users/jgoerzen/bacula
Homepage: http://www.bacula.org/

Package: bacula
Architecture: all
Depends: bacula-server, bacula-client, bacula-common, ${misc:Depends}
Suggests: bacula-doc
Description: network backup, recovery and verification - meta-package
 Bacula is a set of programs to manage backup, recovery and verification
 of computer data across a network of computers of different kinds.
 .
 It is efficient and relatively easy to use, while offering many advanced
 storage management features that make it easy to find and recover lost or
 damaged files. Due to its modular design, Bacula is scalable from small
 single computer systems to networks of hundreds of machines.
 .
 This meta-package installs the entire suite of Bacula applications: job
 scheduling, storage control, node connector, and administrative console.

Package: bacula-common
Replaces: bacula-director-common
Architecture: any
Pre-Depends: debconf (>= 1.4.30) | debconf-2.0, adduser (>= 3.0)
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: bacula-doc
Description: network backup, recovery and verification - common support files
 Bacula is a set of programs to manage backup, recovery and verification of
 data across a network of computers of different kinds.
 .
 This package provides files that are useful for other Bacula packages.

Package: bacula-common-sqlite3
Architecture: any
Pre-Depends: debconf (>= 1.4.30) | debconf-2.0, adduser (>= 3.0)
Depends: bacula-common, ${shlibs:Depends}, ${misc:Depends}
Suggests: bacula-doc
Conflicts: bacula-common-pgsql, bacula-common-mysql
Description: network backup, recovery and verification - SQLite v3 common files
 Bacula is a set of programs to manage backup, recovery and verification of
 data across a network of computers of different kinds.
 .
 This package provides files that are useful for other Bacula packages
 for the SQLite v3 database.

Package: bacula-common-pgsql
Architecture: any
Pre-Depends: debconf (>= 1.4.30) | debconf-2.0, adduser (>= 3.0)
Depends: bacula-common, ${shlibs:Depends}, ${misc:Depends}
Suggests: bacula-doc
Conflicts: bacula-common-sqlite3, bacula-common-mysql
Description: network backup, recovery and verification - PostgreSQL common files
 Bacula is a set of programs to manage backup, recovery and verification of
 data across a network of computers of different kinds.
 .
 This package provides files that are useful for other Bacula packages
 for the PostgreSQL database.

Package: bacula-common-mysql
Architecture: any
Pre-Depends: debconf (>= 1.4.30) | debconf-2.0, adduser (>= 3.0)
Depends: bacula-common, ${shlibs:Depends}, ${misc:Depends}
Suggests: bacula-doc
Conflicts: bacula-common-sqlite3, bacula-common-pgsql
Description: network backup, recovery and verification - MySQL common files
 Bacula is a set of programs to manage backup, recovery and verification of
 data across a network of computers of different kinds.
 .
 This package provides files that are useful for other Bacula packages
 for the MySQL database.

Package: bacula-director-common
Architecture: any
Pre-Depends: debconf (>= 1.4.30) | debconf-2.0, bacula-common (= ${binary:Version})
Depends: ${shlibs:Depends}, adduser, gawk, mailx, lsb-base (>= 3.2-13), ${misc:Depends}
Description: network backup, recovery and verification - Director common files
 Bacula is a set of programs to manage backup, recovery and verification of
 data across a network of computers of different kinds.
 .
 The Bacula Director service supervises all the backup, restore, verify and
 archive operations. It can run as a daemon or as a foreground service which
 administrators can use to schedule backups and recover files.
 .
 This package provides common files for the Bacula Director daemon.

Package: bacula-director-sqlite3
Pre-Depends: debconf (>= 1.4.30) | debconf-2.0
Architecture: any
Depends: bacula-director-common (= ${binary:Version}), sqlite3, ${shlibs:Depends}, bacula-common-sqlite3 (>= ${binary:Version}), file, dbconfig-common (>= 1.8.19), ${misc:Depends}
# Can remove dep on file once sqlite2 migration code is dropped from postinst
# after squeeze (that migration code is for lenny -> squeeze)
Conflicts: bacula-director
Provides: bacula-director
Replaces: bacula-director
Description: network backup, recovery and verification - SQLite 3 storage for Director
 Bacula is a set of programs to manage backup, recovery and verification of
 data across a network of computers of different kinds.
 .
 The Bacula Director service supervises all the backup, restore, verify and
 archive operations. It can run as a daemon or as a foreground service which
 administrators can use to schedule backups and recover files.
 .
 This version stores Bacula's catalog in an SQLite 3 database, and thus is
 suited for smaller installations.
 
Package: bacula-director-mysql
Architecture: any
Pre-Depends: debconf (>= 1.4.30) | debconf-2.0
Depends: bacula-director-common (= ${binary:Version}), dbconfig-common (>= 1.8.19), mysql-client, ${shlibs:Depends}, bacula-common-mysql (>= ${binary:Version}), ${misc:Depends}
Conflicts: bacula-director
Provides: bacula-director
Replaces: bacula-director
Recommends: mysql-server (>= 4.0)
Description: network backup, recovery and verification - MySQL storage for Director
 Bacula is a set of programs to manage backup, recovery and verification of
 data across a network of computers of different kinds.
 .
 The Bacula Director service supervises all the backup, restore, verify and
 archive operations. It can run as a daemon or as a foreground service which
 administrators can use to schedule backups and recover files.
 .
 This version stores Bacula's catalog in a MySQL server, and thus is suited
 for large installations.

Package: bacula-director-pgsql
Pre-Depends: debconf (>= 1.4.30) | debconf-2.0
Architecture: any
Depends: bacula-director-common (= ${binary:Version}), dbconfig-common (>= 1.8.19), postgresql-client (>= 7.4), ${shlibs:Depends}, bacula-common-pgsql (>= ${binary:Version}), ${misc:Depends}
Conflicts: bacula-director
Provides: bacula-director
Replaces: bacula-director
Recommends: postgresql (>= 7.4)
Suggests: postgresql-contrib, postgresql-doc
Description: network backup, recovery and verification - PostgreSQL storage for Director
 Bacula is a set of programs to manage backup, recovery and verification of
 data across a network of computers of different kinds.
 .
 The Bacula Director service supervises all the backup, restore, verify and
 archive operations. It can run as a daemon or as a foreground service which
 administrators can use to schedule backups and recover files.
 .
 This version stores Bacula's catalog in a PostgreSQL server, and thus is 
 suited for large installations.

Package: bacula-client
Architecture: all
Depends: bacula-console (>= ${source:Version}), bacula-fd (>= ${source:Version}), ${misc:Depends}
Suggests: bacula-traymonitor
Description: network backup, recovery and verification - client meta-package
 Bacula is a set of programs to manage backup, recovery and verification of
 data across a network of computers of different kinds.
 .
 The Bacula Director service supervises all the backup, restore, verify and
 archive operations. It can run as a daemon or as a foreground service which
 administrators can use to schedule backups and recover files.
 .
 The package is a meta-package for client installations (file daemon and
 console only).

Package: bacula-fd
Architecture: any
Depends: bacula-common (= ${binary:Version}), ${shlibs:Depends}, lsb-base (>= 3.2-13), ${misc:Depends}
Suggests: bacula-traymonitor
Description: network backup, recovery and verification - file daemon
 Bacula is a set of programs to manage backup, recovery and verification of
 data across a network of computers of different kinds.
 .
 The file daemon has to be installed on the machine to be backed up. It is
 responsible for providing the file attributes and data when requested by
 the Director, and also for the file system-dependent part of restoration.

Package: bacula-server
Architecture: all
Depends: bacula-director-mysql (>= ${source:Version})|bacula-director, bacula-sd (>= ${source:Version}), bacula-sd-mysql (>= ${source:Version})|bacula-sd-tools, ${misc:Depends}
Recommends: bacula-fd
Description: network backup, recovery and verification - server meta-package
 Bacula is a set of programs to manage backup, recovery and verification of
 data across a network of computers of different kinds.
 .
 This meta-package provides a standard server install, consisting of the
 director and storage daemons.

Package: bacula-sd
Architecture: any
Pre-Depends: bacula-common (= ${binary:Version})
Depends: ${shlibs:Depends}, mtx, python, lsb-base (>= 3.2-13), ${misc:Depends}
Recommends: bacula-sd-mysql (>= ${source:Version}) | bacula-sd-tools
Suggests: dds2tar, scsitools, sg3-utils, mt-st
Description: network backup, recovery and verification - storage daemon
 Bacula is a set of programs to manage backup, recovery and verification of
 data across a network of computers of different kinds.
 .
 The storage daemon performs the storage and recovery of the file
 attributes and data to the physical media; in other words, it is
 responsible for reading and writing the backups.
 .
 It runs on the machine which has access to the backup device(s) - usually
 a tape drive, but alternatively other storage media, such as files.

Package: bacula-sd-sqlite3
Architecture: any
Depends: bacula-sd (= ${binary:Version}), ${shlibs:Depends}, bacula-common-sqlite3 (>= ${binary:Version}), ${misc:Depends}
Conflicts: bacula-sd-tools, bacula-sd (<= 3.0.1-1)
Replaces: bacula-sd-tools, bacula-sd (<= 3.0.1-1)
Provides: bacula-sd-tools
Description: network backup, recovery and verification - SQLite 3 SD tools
 Bacula is a set of programs to manage backup, recovery and verification of
 data across a network of computers of different kinds.
 .
 The storage daemon performs the storage and recovery of the file
 attributes and data to the physical media; in other words, it is
 responsible for reading and writing the backups.
 .
 This package contains SQLite 3 versions of the bscan and bcopy utilities,
 which are used for recovery when Bacula's catalog is unavailable.

Package: bacula-sd-sqlite
Architecture: any
Depends: bacula-sd (= ${binary:Version}), bacula-sd-sqlite3 (>= 3.0.0), ${misc:Depends}
Conflicts: bacula-sd (<< 1.38.9)
Replaces: bacula-sd (<< 1.38.9)
Description: network backup, recovery and verification - SQLite SD tools
 This is a transition package.  SQLite v2 support has been deprecated
 as of Bacula 3.0.0.  This package depends on the SQLite v3 version of the
 storage daemon.

Package: bacula-sd-mysql
Architecture: any
Depends: bacula-sd (= ${binary:Version}), ${shlibs:Depends}, bacula-common-mysql (>= ${binary:Version}), ${misc:Depends}
Conflicts: bacula-sd-tools, bacula-sd (<= 3.0.1-1)
Replaces: bacula-sd-tools, bacula-sd (<= 3.0.1-1)
Provides: bacula-sd-tools
Description: network backup, recovery and verification - MySQL SD tools
 Bacula is a set of programs to manage backup, recovery and verification of
